Bug 431547 - (CVE-2008-0664) CVE-2008-0664 wordpress: XML-RPC interface vulnerability
CVE-2008-0664 wordpress: XML-RPC interface vulnerability
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=gentoo,reported=20080205,publi...
: Security
Depends On: 431549 431550 431551
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 08:14 EST by Tomas Hoger
Modified: 2008-02-13 00:08 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.3.3-0.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:08:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-02-05 08:14:48 EST
WordPress 2.3.3 was released with following announcement:

  WordPress 2.3.3 is an urgent security release. A flaw was found in our
  XML-RPC implementation such that a specially crafted request would allow
  any valid user to edit posts of any other user on that blog.

  http://wordpress.org/development/2008/02/wordpress-233/

Upstream bug report:
http://trac.wordpress.org/ticket/5313

Some PoCs are already available publicly:
http://www.village-idiot.org/archives/2008/02/02/wordpress-232-exploit-confirmed/
Comment 2 Bryan O'Sullivan 2008-02-08 23:56:34 EST
This is being actively exploited.  My F8 server running 2.3.2 was hit by a
spammer using this hole today.
Comment 3 John Berninger 2008-02-09 00:14:40 EST
Building new packages for F-7, F-8, -devel.  Will push as security updates as
soon as they complete.
Comment 4 Bryan O'Sullivan 2008-02-09 00:20:59 EST
Thanks. I was about to do that myself when I found you'd already started.
Comment 5 John Berninger 2008-02-09 00:37:39 EST
Packages rebuilt, awaiting security team approval for final push to stable repos
Comment 6 Lubomir Kundrak 2008-02-09 06:47:03 EST
John: You submitted the update for testing. I will assume that you meant it for
stable and push it there.
Comment 7 Lubomir Kundrak 2008-02-09 06:47:35 EST
Oh, pardon me, I lied above :} Approved though.
Comment 8 Fedora Update System 2008-02-12 23:59:05 EST
wordpress-2.3.3-0.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-13 00:08:45 EST
wordpress-2.3.3-0.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.